#!/bin/bash

############################
# preludemanager.sh
# instructions spécifiques au module Preludemanager
############################

# Appel Bibliothèque
. ParseDico

stty -echo
# saisie du mot de passe de l'administrateur mysql
read -p "Mot de passe root mysql        ? : " pass_root
echo
read -p "Confirmation du mot de passe  ? : " pass_root2
echo
while [ $pass_root != $pass_root2 ]
do
        echo "Les mots de passes ne correspondent pas"
	read -p "Mot de passe root mysql        ? : " pass_root
	echo
	read -p "Confirmation du mot de passe  ? : " pass_root2
	echo
done
stty echo

## Creation du nouveau mot de passe root
/usr/bin/python /usr/share/eole/mysql_pwd.py $pass_root

## PrelugeManager
if [ -x "/usr/bin/prelude-adduser" ]; then
       /usr/bin/prelude-adduser add prelude-manager --uid prelude --gid prelude
       /usr/bin/prelude-adduser chown prelude-manager --uid prelude --gid prelude
fi

if [ ! -f /var/lib/mysql/prelude/db.opt ]
then
	if [ -f /usr/share/libpreludedb/classic/mysql.sql ]
	then
		mysql -u root --password=$pass_root -e "create database prelude;"
		mysql -u root --password=$pass_root prelude < /usr/share/libpreludedb/classic/mysql.sql
		mysql -u root --password=$pass_root -e "grant select,insert,update,delete,alter ON prelude.* TO prelude@localhost IDENTIFIED BY 'prelude';"
	fi
fi

## PREWIKKA
if [ ! -f /var/lib/mysql/prewikka/db.opt ]
then
	if [ -f /usr/share/dbconfig-common/data/prewikka/install/mysql ]
	then
		mysql -u root --password=$pass_root -e "create database prewikka;"
		mysql -u root --password=$pass_root prewikka < /usr/share/dbconfig-common/data/prewikka/install/mysql
		mysql -u root --password=$pass_root -e "grant select,insert,update,delete,alter ON prewikka.* TO prewikka@localhost IDENTIFIED BY 'prewikka';"
	fi
fi
